POST
/
api
/
v1
/
parties
Create party
curl --request POST \
  --url http://34.170.194.254:8000/api/v1/parties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "legal_name": "<string>",
  "party_type": "<string>",
  "party_ref": "<string>"
}
'
{
  "party_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "legal_name": "<string>",
  "party_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "party_ref": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Party Create Request schema.

Legal entity/person display name

party_type
string
required

Party type classification

party_ref
string | null

Party reference provided by source system

Response

Party created

Party Response schema.

party_id
string<uuid>
required

Vault party identifier

Legal entity/person display name

party_type
string
required

Party type classification

created_at
string<date-time>
required

Party creation timestamp

party_ref
string | null

Party reference provided by source system